﻿using MyUserControls.Components.office_package.HelperModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyUserControls.Components.PdfImage
{
    public class PdfImageInfo : IPdfInfo
    {
        public string FileName { get; set; } = string.Empty;
        public string Title { get; set; } = string.Empty;
        public List<byte[]> Images { get; set; } = new List<byte[]>();

        public void CheckFields()
        {
            if (string.IsNullOrWhiteSpace(FileName) || string.IsNullOrWhiteSpace(Title) || Images == null || Images.Count == 0)
            {
                throw new ArgumentException("Все поля должны быть заполнены.");
            }
        }
    }
}
