﻿using MyUserControls.Components.office_package.HelperEnums;
using MyUserControls.Components.office_package.HelperModels;
using MyUserControls.Components.office_package.Implements;
using MyUserControls.Components.office_package;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyUserControls.Components.PdfDiagram
{
    public partial class PdfDiagram : Component
    {
        ISaveToPdf SaveToPdf = new SaveToPdf();

        public PdfDiagram()
        {
            InitializeComponent();
        }

        public PdfDiagram(IContainer container)
        {
            container.Add(this);

            InitializeComponent();
        }

        public void CreateDiagram(PdfDiagramInfo info)
        {
            info.CheckFields();
            SaveToPdf.CreatePdf(info);
            SaveToPdf.CreateParagraph(new PdfParagraph
            {
                Text = info.Title,
                Style = "NormalTitle",
                ParagraphAlignment = PdfParagraphAlignmentType.Center
            });
            SaveToPdf.CreatePieChart(info);
            SaveToPdf.SavePdf(info);
        }
    }
}

